OGRE-Next: Ogre::APKZipArchiveFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::APKZipArchiveFactory Class Reference

`#include <OgreAPKZipArchive.h>`

Inheritance diagram for Ogre::APKZipArchiveFactory:
[legend]

## Public Member Functions
| APKZipArchiveFactory (AAssetManager *assetMgr)
virtual | ~APKZipArchiveFactory ()
virtual void | convertPath (String &inOutPath) const
| Some implementations (i.e.
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object.
const String & | getType () const
| Returns the factory type.
Public Member Functions inherited from Ogre::EmbeddedZipArchiveFactory
| EmbeddedZipArchiveFactory ()
| ~EmbeddedZipArchiveFactory () override
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
const String & | getType () const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ZipArchiveFactory
| ~ZipArchiveFactory () override
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
void | destroyInstance (Archive *ptr) override
| Destroys an object which was created by this factory.
const String & | getType () const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
| ~ArchiveFactory () override
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()

## Additional Inherited Members
Public Types inherited from Ogre::EmbeddedZipArchiveFactory
typedef bool(* | DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)
| a function type to decrypt embedded zip file
Static Public Member Functions inherited from Ogre::EmbeddedZipArchiveFactory
static void | addEmbbeddedFile (const String &name, const uint8 *fileData, size_t fileSize, DecryptEmbeddedZipFileFunc decryptFunc)
| Add an embedded file to the embedded file list.
static void | removeEmbbeddedFile (const String &name)
| Remove an embedded file to the embedded file list.

## Constructor & Destructor Documentation

## ◆ APKZipArchiveFactory()

Ogre::APKZipArchiveFactory::APKZipArchiveFactory | ( | AAssetManager * | assetMgr | ) |
| inline

## ◆ ~APKZipArchiveFactory()

virtual Ogre::APKZipArchiveFactory::~APKZipArchiveFactory | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ convertPath()

virtual void Ogre::APKZipArchiveFactory::convertPath | ( | String & | inOutPath | ) | const
| inlinevirtual

Some implementations (i.e.

APKFileSystemArchive) usually modify the filename. For example in APKFileSystemArchive, "/path/to/localfile.mesh" gets internally stored as "path/to/localfile.mesh" (no leading slash), but across the platform the leading slash is required. The ArchiveManager needs to be aware of this.

Parameters

  inOutPath | Given the input path, converts it to the final path.

Reimplemented from Ogre::ArchiveFactory.

## ◆ createInstance()

Archive * Ogre::APKZipArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )
| inlinevirtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

References Ogre::EmbeddedZipArchiveFactory::addEmbbeddedFile(), and OGRE_NEW.

## ◆ getType()

const String & Ogre::APKZipArchiveFactory::getType | ( |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

The documentation for this class was generated from the following file:

- OgreAPKZipArchive.h